Subject: bug#4922: <control>

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 18 Sep 2011 11:07:34 +0200

Per Starbäck <[email-masked]> writes:

> emacs -q
>   C-x 8 RET < TAB RET
> completes to "<control>" which inserts \237.
>
> I didn't expect "<control>" to be a valid completion there.
>
> The reason is that control characters have "<control>" in the second field in
> admin/unidata/UnicodeData.txt (and \237 is the last such character.
>
> Suggestion: Skip the <control> names in unidata-gen-table.

I can confirm that this problem still exists in Emacs 24.

I looked into fixing it, but the code that converts the UnicodeData.txt
into all the .el files look like black magic to me.  Or rather -- the
code looks straightforward, but it's somewhat unclear how to actually
run the functions.  :-)

For someone who's done it before it's probably a trivial problem to fix.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/